#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif

#define PROCESSING_TEXTURE_SHADER

uniform sampler2D texture;
uniform vec2 texOffset;

varying vec4 vertColor;
varying vec4 vertTexCoord;

void main(void) {

	vec2 coord = vertTexCoord.st;
	if( coord.s > 0.5)
		coord.s = 1.0-coord.s;

	vec4 col0 = texture2D(texture, coord);					
	gl_FragColor = vec4(col0.rgb, 1.0) * vertColor;	
}
